jQuery(document).ready(function() {

	
	sxUtil.jqGrid('#show-table', {
		colNames : [ 'ID', '登录名', '用户名', '锁定', '管理员', '手机', '所属区域' ],
		colModel : [ 
			{ name : 'id', index : 'id', width : 120, key : true, hidden : true }, 
			{ name : 'loginName', index : 'loginName', width : 80},
			{ name : 'name', index : 'name', width : 70},
			{ name : 'locked', index : 'locked', width : 40, formatter : lockFormatter},
			{ name : 'admin', index : 'admin', width : 50, formatter : adminFormatter}, 
			{ name : 'phone', index : 'phone', width : 80, sortable : false }, 
			{ name : 'org.name', index : 'orgName', width : 150, sortable : false } 
		],
		width : 770,
        height : 300,
		rowNum:20,
		rowList:[10,20,30],
		mtype:'GET',
		url : '/user/do_list',
		pager : "#show-pager",
		multiselect: true,  
		multiboxonly:true,
		postData : {
			'name' : $("#name").val(),
			'org.id':sxUtil.tree.getLoginOrgId(),
			'level':$('#chosen-level').val()
		}
	}, false);
	
	function lockFormatter(cellvalue, options, rowObject) {
		return cellvalue == false ? "否" : "是";
	}
	function adminFormatter(cellvalue, options, rowObject) {
		return cellvalue == false ? "否" : "是";
	}
	
	$('#reload').click(function(){
		$('#show-table').setGridParam({
			mtype:'GET',
			url : '/user/do_list',
			datatype : 'json',
			postData : {
				'name' : $("#name").val(),
				'org.id':sxUtil.tree.getLoginOrgId(),
				'level':$('#chosen-level').val()
			},
			page : 1
		});
		$('#show-table').trigger('reloadGrid');
	});
});